# Server Manager Kubernetes Operator

Implements Server Manager capabilities (including web-ui/auth) in kubernetes

## Config Example

### Yaml Config format

```yaml
email:
  from_email: ""
  username: ""
  password: ""
  server: ""

domain: ""

signing:
  key: ""
  algorithm: "HS512"

authentication:
  type: "OIDC"  # OIDC or UserPass
  oidc:
    issuer_url: ""
    client_id: ""
    client_secret: ""
  user_pass:
    type: "mongo"
    mongo:
      url: ""
      username: ""
      password: ""
      database: ""
      collection: ""
    invite_token_database:
      type: "mongo"
      mongo:
        url: ""
        username: ""
        password: ""
        database: ""
        collection: ""

instancemanager:
  type: "docker"  # or kubernetes
  docker:
    games_domain: ""
    browsers_domain: ""
    certificate_resolver: ""
    file_browser:
      image:
        registry: ""
        tag: ""
      command: ""
      network: ""

users:
  default_max_owned_servers: 10

servers_database:
  type: "mongo"
  mongo:
    url: ""
    username: ""
    password: ""
    database: ""
    collection: ""

servers_authorization_database:
  type: "mongo"
  mongo:
    url: ""
    username: ""
    password: ""
    database: ""
    collection: ""
```
